package cn.hmsoft.weixin.entity.reply.item;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import cn.hmsoft.weixin.entity.reply.CDATAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
public class Music {
	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String Title; // 视频消息的标题

	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String Description;// 视频消息的描述

	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String MusicURL; // 音乐链接
	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String HQMusicUrl; // 高质量音乐链接，WIFI环境优先使用该链接播放音乐
	@XmlJavaTypeAdapter(value = CDATAdapter.class)
	private String ThumbMediaId; // 缩略图的媒体id，通过上传多媒体文件，得到的id

	public String getTitle() {
		return Title;
	}

	public void setTitle(String title) {
		Title = title;
	}

	public String getDescription() {
		return Description;
	}

	public void setDescription(String description) {
		Description = description;
	}

	public String getMusicURL() {
		return MusicURL;
	}

	public void setMusicURL(String musicURL) {
		MusicURL = musicURL;
	}

	public String getHQMusicUrl() {
		return HQMusicUrl;
	}

	public void setHQMusicUrl(String hQMusicUrl) {
		HQMusicUrl = hQMusicUrl;
	}

	public String getThumbMediaId() {
		return ThumbMediaId;
	}

	public void setThumbMediaId(String thumbMediaId) {
		ThumbMediaId = thumbMediaId;
	}

}
